import TextButton from '../widgets/TextButton'
import config from '../config'

export default class GameOverScene extends Phaser.Scene {
	constructor () {
		super({ key: 'GameOver' })
	}

	create (data) {
		const offset = 500
		
		this.background = new Phaser.GameObjects.Graphics(this)
		this.background.lineStyle(10, 0x7f401c, 1.0)
		this.background.fillStyle(0xc67c33, 1.0)
		this.background.fillRoundedRect(5, 5, this.sys.canvas.width * 0.9, 1000, 20)
		this.background.strokeRoundedRect(5, 5, this.sys.canvas.width * 0.9, 1000, 20)
		this.background.setPosition(this.sys.canvas.width * 0.1 / 2, this.sys.canvas.height / 2 - 500)
		
		this.gameOverHeading = new Phaser.GameObjects.Text(this, this.sys.canvas.width / 2, offset + 50, 'Game Over!', config.dialogTextStyle)
		this.gameOverHeading.setOrigin(0.5, 0)
		
		this.gameOverText = new Phaser.GameObjects.Text(this, this.sys.canvas.width / 2, offset + 350, 'Congratulations! You survived ' + data.days + (data.days === 1 ? ' day' : ' days') + ' in patch hell.', config.dialogTextStyle)
		this.gameOverText.setOrigin(0.5, 0)
		
		this.restartButton = new TextButton({
			scene: this,
			text: 'Play again!',
			width: this.sys.canvas.width * 0.75,
			height: 100,
			enabledStyle: config.buttonTextStyle,
			background: 'buttonBackground',
			onClick: () => {
				this.scene.start('Main')
			}
		})
		this.restartButton.setPosition(this.sys.canvas.width / 2, offset + this.sys.canvas.height / 2 - 100)
		
		this.add.existing(this.background)
		this.add.existing(this.gameOverHeading)
		this.add.existing(this.gameOverText)
		this.add.existing(this.restartButton)
	}
}
