export default class SplashScene extends Phaser.Scene {
	constructor () {
		super({ key: 'Splash' })
	}

	preload () {
		this.loaderBg = this.add.sprite(this.sys.canvas.width / 2, this.sys.canvas.height / 2, 'loaderBg')
		this.loaderBar = this.add.sprite(this.sys.canvas.width / 2, this.sys.canvas.height / 2, 'loaderBar')
		this.loaderBar.setScale(0, 1)
		
		this.load.on('progress', (progress) => {
			this.loaderBar.setScale(progress, 1)
		})

		this.load.image('barren', 'assets/images/Barren.png')
		this.load.image('holz', 'assets/images/Holz.png')
		this.load.image('kissen', 'assets/images/Kissen.png')
		this.load.image('stoecke', 'assets/images/Stöcke_bunt.png')
		this.load.image('stoff', 'assets/images/Stoff.png')
		this.load.image('hammer', 'assets/images/Hammer.png')
		this.load.image('messer', 'assets/images/Messer.png')
		this.load.image('eimer', 'assets/images/Eimer.png')
		this.load.image('zange', 'assets/images/Zange.png')
		this.load.image('holzruestung', 'assets/images/Holzrüstung_komplett.png')
		this.load.image('lederruestung', 'assets/images/Lederrüstung_komplett2.png')
		this.load.image('magierrobe', 'assets/images/Magierrobe.png')
		this.load.image('goldruestung', 'assets/images/Goldrüstung.png')
		this.load.image('eisenruestung', 'assets/images/Eisenrüstung.png')
		this.load.image('kissenruestung', 'assets/images/Kissenrüstung.png')
		this.load.audio('theme', [
			'assets/audio/Locations_Happy Village (loop).ogg',
			'assets/audio/Locations_Happy Village (loop).mp3'
		])
		this.load.audio('click', [
			'assets/audio/Sword-Attack_Swoosh_Swipe-1A.ogg',
			'assets/audio/Sword-Attack_Swoosh_Swipe-1A.mp3'
		])
		this.load.audio('loot', [
			'assets/audio/Item_CoinChest_Opening_01.ogg',
			'assets/audio/Item_CoinChest_Opening_01.mp3'
		])
		this.load.audio('drop', [
			'assets/audio/Sword-Drop_01.ogg',
			'assets/audio/Sword-Drop_01.mp3'
		])
		
		// 0xc67c33
		const buttonBackground = new Phaser.GameObjects.Graphics(this)
		buttonBackground.lineStyle(10, 0x7f401c, 1.0)
		buttonBackground.fillStyle(0xc67c33, 1.0)
		buttonBackground.fillRoundedRect(5, 5, this.sys.canvas.width * 0.75, 100, 20)
		buttonBackground.strokeRoundedRect(5, 5, this.sys.canvas.width * 0.75, 100, 20)
		
		buttonBackground.generateTexture('buttonBackground', this.sys.canvas.width * 0.75 + 10, 110)
		buttonBackground.destroy()
	}

	create () {
		this.scene.start('Main')

		/**
		 * This is how you would dynamically import the mainScene class (with code splitting),
		 * add the mainScene to the Scene Manager
		 * and start the scene.
		 * The name of the chunk would be 'mainScene.chunk.js
		 * Find more about code splitting here: https://webpack.js.org/guides/code-splitting/
		 */
		// let someCondition = true
		// if (someCondition)
		//	 import(/* webpackChunkName: "mainScene" */ './mainScene').then(mainScene => {
		//		 this.scene.add('MainScene', mainScene.default, true)
		//	 })
		// else console.log('The mainScene class will not even be loaded by the browser')
	}
}
