import Phaser from 'phaser'

export default class MaterialStorageDisplay extends Phaser.GameObjects.Container {
	constructor (options) {
		super(options.scene)
		
		this.materialIcon = new Phaser.GameObjects.Image(this.scene, 0, 0, options.material.icon)
		this.materialIcon.setScale(0.25, 0.25)
		if (options.material.options && options.material.options.color) {
			this.materialIcon.setTint(options.material.options.color)
		}
		this.materialCounter = new Phaser.GameObjects.Text(this.scene, 100, 100, '0', options.counterTextStyle)
		this.materialCounter.setOrigin(1, 1)
		
		this.add(this.materialIcon)
		this.add(this.materialCounter)
	}
	
	updateCount (count) {
		this.materialCounter.setText(count)
	}
}
