import Phaser from 'phaser'
import BasicButton from './BasicButton'

export default class TextButton extends BasicButton {
	constructor (options) {
		const scene = options.scene
		const width = options.width
		const height = options.height
		const backgroundImageKey = options.background
		const enabledStyle = options.enabledStyle
		const text = options.text
	
		const addIcon = function (scene, container, imageKey, width, height) {
			const icon = new Phaser.GameObjects.Image(scene, 0, 0, imageKey)
			icon.setDisplaySize(width, height)
			icon.setOrigin(0.5, 0.5)
			container.add(icon)
			return icon
		}
		
		const buttonContent = new Phaser.GameObjects.Container(scene)
		addIcon(scene, buttonContent, backgroundImageKey, width, height)
		const textContent = new Phaser.GameObjects.Text(scene, 0, 0, text, enabledStyle)
		textContent.setOrigin(0.5, 0.5)
		buttonContent.add(textContent)
		
		options.buttonContent = buttonContent
		
		super(options)
		
		this.textContent = textContent
	}
	
	setText (text) {
		this.textContent.setText(text)
	}
}
