import Phaser from 'phaser'
import config from '../config'
import padLeft from '../util/padLeft'

export default class TimeDisplay extends Phaser.GameObjects.Container {
	constructor (options) {
		super(options.scene)
		
		// Zeittext
		this.timeText = new Phaser.GameObjects.Text(this.scene, this.scene.sys.canvas.width / 2, 0, '00:00', config.timeTextStyle)
		this.timeText.setOrigin(0.5, 0)
		
		// Balken
		// Uhr
		
		this.add(this.timeText)
	}
	
	updateTimeOfDay (time) {
		const minutes = Math.floor(time) % 60
		const hours = Math.floor(time / 60)
		
		this.timeText.setText(padLeft(hours, 2, '0') + ':' + padLeft(minutes, 2, '0'))
	}
}
