import Phaser from 'phaser'

export default class ToolSelector extends Phaser.GameObjects.Container {
	constructor (options) {
		super(options.scene)
		
		this.tool = options.tool
		this.toolIcon = new Phaser.GameObjects.Image(this.scene, 0, 0, this.tool.icon)
		this.toolIcon.setScale(0.25, 0.25)
		if (options.tool.options && options.tool.options.color) {
			this.toolIcon.setTint(options.tool.options.color)
		}
		this.toolIcon.setInteractive()
		this.toolIcon.on('pointerdown', () => {
			if (typeof options.onClick === 'function') {
				options.onClick()
			}
		})
		this.add(this.toolIcon)
	}
}
